%% funkce pro vykreslení a zaznačení signálu
function [klik]=vykresleni_signalu(tretina,cas,eeg_signal,time)
% Funkce má 3 vstupy. Pomocnou proměnnou tretina, kde je uložena třetina signálu, cas (pozice změn z luxmetru) a
%time(časová osa signálu). Výstupem je proměnná klik, kde jsou uloženy pozice kliků uživatele získané pomocí funkce ginput.  

Le=length(cas)
cas1=cas(1:Le*1/3)
cas2=cas(Le*1/3:Le*2/3)
cas3=cas(Le*2/3:Le)
cas1=cas(cas<tretina/1000);
cas2=cas(cas>tretina/1000);
cas2=cas2(cas2<2*tretina/1000);
cas3=cas(cas>2*tretina/1000);


figure('units','normalized','outerposition',[0 0 1 1])
plot(time(1:tretina),eeg_signal(1:tretina),'Color',[0, 0.4470, 0.7410])
hold on
plot((cas1),zeros(size(cas1)),'r*')
xlim([0 inf])
t=title ({'první úsek signálu';'levým kliknutím myši vyberete vlnu, pravým tlačítkem přejdete do dalšího úseku signálu'})'
ax = gca;
ax.FontSize = 20;
xlabel 'čas [s]'
ylabel 'U [V]'

mb=1;
klik=[];
while mb==1
    [m,n,mb]=ginput(1)
    
    klik=[klik m];
  
end
klik=klik(1:end-1);
hold off
plot(time(tretina:2*tretina),eeg_signal(tretina:2*tretina),'Color',[0, 0.4470, 0.7410])
hold on
plot((cas2),zeros(size(cas2)),'r*')

title 'druhý úsek signálu'
ax = gca;
ax.FontSize = 20;
xlabel 'čas [s]'
ylabel 'U [V]'
mb=1;
while mb==1
    [m,n,mb]=ginput(1)
     klik=[klik m];
end
klik=klik(1:end-1);
hold off
plot(time(2*tretina:end),eeg_signal(2*tretina:end),'Color',[0, 0.4470, 0.7410])
hold on
plot((cas3),zeros(size(cas3)),'r*')

title 'třetí úsek signálu'
ax = gca;
ax.FontSize = 20;
xlabel 'čas [s]'
ylabel 'U [V]'
mb=1;
while mb==1
    [m,n,mb]=ginput(1)
     klik=[klik m];
    
end

klik=klik(1:end-1);

end